.SH NAME
.\" the x macro is the package name
\*x \- Dynamically change xterm colors and title.
.\"
.\"   "SYNOPSIS"
.\"
.SH SYNOPSIS
.B \*x
.RI [ options ]
.\"
.\"   "DESCRIPTION"
.\"
.SH DESCRIPTION
.B \*x
issues xterm escape sequences to set the primary rendition text parameters (i.e., it dynamically changes the colors and the title of a running xterm). 
.br
\fICOLOR\fP is specified as name or rgb value, e.g. blue or '#EFEFEF'.
.\"
.\"   "OPTIONS"
.\"
.SH OPTIONS
.IP "\fB-f\fP \fICOLOR\fP, \fB--foreground\fP=\fICOLOR\fP"
Set xterm foreground color to \fICOLOR\fP.
.IP "\fB-b\fP \fICOLOR\fP, \fB--background\fP=\fICOLOR\fP"
Set xterm background color to \fICOLOR\fP.
.IP "\fB-c\fP \fICOLOR\fP, \fB--cursor\fP=\fICOLOR\fP"
Set cursor color to \fICOLOR\fP.
.IP "\fB-m\fP \fICOLOR\fP, \fB--mouse-foreground\fP=\fICOLOR\fP"
Set mouse pointer foreground color to \fICOLOR\fP.
.IP "\fB-n\fP \fICOLOR\fP, \fB--mouse-background\fP=\fICOLOR\fP"
Set mouse pointer background color to \fICOLOR\fP.
.IP "\fB-t\fP \fISTRING\fP, \fB--title\fP=\fISTRING\fP"
Set xterm title to \fISTRING\fP. Note that mechanisms like the 
.BR bash(1)
PROMPT_COMMAND may overwrite the title.
.IP "\fB-u\fP, \fB--usage\fP, \fB-h\fP, \fB--help\fP"
Print usage/help message and exit.
.IP "\fB-v\fP, \fB--version\fP"
Print the version number of \fB\*x\fP to standard error.
.\"
.\"   "EXAMPLES"
.\"
.SH EXAMPLE
As a reminder of the privileges when logged into the root account, the
following could be added to the root shell initialization file:
.nf
.sp
\*x -f '#FFFFFF' -b red --title='ROOT - tread carefully!'
.sp
.fi
Rgb values should always be quoted to avoid '#' being interpreted
as the begining of a comment.
.\"
.\"   "FILES"
.\"
.SH FILES
.I <XRoot>/X11/rgb.txt
.RS
Default rgb colorname file location.
.RE
.\"
.\"   "AUTHOR"
.\"
.SH AUTHOR
Written by Jess Thrysoee <jess(at)thrysoee.dk>
.\"
.\"   "SEE ALSO"
.\"
.SH "SEE ALSO"
.BR xterm(1),
.BR http://www.tldp.org/HOWTO/mini/Xterm-Title.html
.\"
.\"   "EOF"
.\"
