/****************************************************************************
** xtermcolors.h
**
** Copyright (C) 2002 Jess Thrysoee <jess at thrysoee dot dk>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
****************************************************************************/

#ifndef XTERMCOLOR_H
#define XTERMCOLOR_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <string.h>
#include "getopt.h"

#define NSEQ (sizeof seqtab / sizeof seqtab[0])

void usage(int);
void version(void);

enum setenum 
{
   TITLE,
   FG,
   BG,
   CURSOR,
   MOUSE_FG,
   MOUSE_BG
};

/* Xterm control sequences are described in ctlseq.ms, which is 
   distributed with the xterm source package, obtainable from 
   http://dickey.his.com/xterm.
   To read the troff file as plain text, issue
   "groff -ms -t -Tlatin1 ctlseqs.ms | col -b > ctlseqs.txt" */

struct controlseq {
   int   setparam;          /* Ps */
   char* textparam;         /* Pt */
} seqtab[] = {

   { 0, 0}, /* title            */
   {10, 0}, /* foreground       */
   {11, 0}, /* background       */     
   {12, 0}, /* cursor           */      
   {13, 0}, /* mouse-foreground */ 
   {14, 0}  /* mouse-background */
};

struct controlseq default_seqtab[] =
{
   { 0, 0}      , /* title            */
   {10, "black"}, /* foreground       */
   {11, "white"}, /* background       */     
   {12, "black"}, /* cursor           */      
   {13, "black"}, /* mouse-foreground */ 
   {14, "white"}  /* mouse-background */
};

#endif /* XTERMCOLOR_H */
