#! /bin/sh

## path to xtercolors binary
BINARY="../src/xtermcolors"

## test color options
for option in -foreground f\
              -background b\
              -cursor c\
              -mouse-foreground m\
              -mouse-background n;
do
   echo "$BINARY -$option red"
   if $BINARY -$option red
   then
      :
   else
      ## xtercolors failed
      exit 1
   fi
   sleep 1
   $BINARY
   sleep 1
done

## test title option
if test -n "$COMMAND_PROMPT"
then
   COMMAND_PROMPT=
fi
echo "$BINARY -t 'colored by xtermcolors'"
if $BINARY -t "colored by xtermcolors"
then
   :
else
   ## xtercolors failed
   exit 1
fi
sleep 1
$BINARY
sleep 1

## test usage options
for option in -usage u\
              -help h\
              -version v;
do
   if $BINARY -$option > /dev/null
   then
      echo "$BINARY -$option ... ok"
   else
      exit 1
   fi
   sleep 1
done

$BINARY
